:root {
	--dark1: #3c4344; /* outline */
	--dark2: #2c2f30; /* outline? */
	--main1: #003399; /* outline color */
	--main2: #001e5a; /* timeline color */
	--main3: #97ff9d; /* green color */
	--main3d: #53c758; /* dark green color */
	--main4: #ff5959; /* red color */
	--light1: rgb(199, 199, 199); /* button backgrounds */
	--light2: rgb(223, 223, 223); /* container backgrounds */
	--light3: rgb(238, 238, 238); /* background */
}
.lexend-400 {
	font-family: "Lexend", sans-serif;
	font-optical-sizing: auto;
	font-weight: 400;
	font-style: normal;
}
body {
	margin: 0;
	padding: 0;
	background-color: var(--light3);
	overflow: hidden;
}

#bodycopy {
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	margin: 0;
	padding: 0;
	background-color: var(--light3);
	overflow: hidden;
	background-image: url("../assets/img/a.png");
	background-size: 70px 70px;
	opacity: 0.025;
	z-index: -2;
	animation: forward 300s linear infinite alternate;
}
#header {
	width: 100%;
	height: 1.5em;
	color: white;
	background-color: var(--main1);
	display: flex;
	align-items: center;
	text-indent: 10px;
	font-size: 4vmin;
	justify-content: space-between;
}
#selectmenu {
	height: calc(100% - 1.5em);
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 4vmin;
}
#actualmenu {
	height: 90%;
	width: 80%;
	display: flex;
	flex-direction: column;
	justify-content: center;
}
.menucontainer {
	display: grid;
	grid-template-columns: 1fr;
	grid-template-rows: 0.05fr 0.05fr 1fr;
	height: 60%;
}
.menutitle {
	font-size: 5vmin;
	font-weight: 700;
}
.buttoncontainer {
	display: flex;
	flex-direction: row;
	align-items: center;
	margin-right: 5%;
}
.buttoncontainer > button {
	flex: 1 1 0;
	height: 40%;
	margin: 0% 0.5%;
	font-weight: 500;
	position: relative;
	font-size: 2.5vmin;
}
button {
	font-family: "Lexend", sans-serif;
	font-optical-sizing: auto;
	font-weight: 400;
	font-style: normal;
	transition-duration: 375ms;
	border-style: solid;
	border-color: var(--main1);
	border-width: 0.25vmin;
	border-radius: 0.5rem;
	background-color: var(--light2);
	display: flex;
	justify-content: center;
	align-items: center;
}
button:hover {
	border-color: var(--main2);
	filter: brightness(0.9);
}
.menucontainer2 {
	height: 40%;
	display: flex;
	flex-direction: column;
	justify-content: center;
}
.menucontainer2 > div {
	font-size: 2.5vmin;
}
#play {
	height: 50%;
	width: 94.5%;
	font-weight: 600;
	font-size: 5vmin;
}
#play:hover {
	background-color: var(--light1);
}
#game {
	display: none;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	width: 100%;
	height: calc(100% - 1.5em);
	font-size: 4vmin;
}
#fader {
	display: none;
	opacity: 0;
	width: 100%;
	height: calc(100% - 1.5em);
	position: absolute;
	top: 1.5em;
	left: 0;
	background-color: white;
	z-index: 10;
	font-size: 4vmin;
}
#eq {
	width: 75%;
	height: 100%;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-evenly;
}
.correct {
	background-color: var(--main3) !important;
	transition-duration: 500ms;
}
input[type="range"] {
	-webkit-appearance: none;
	appearance: none;
	background: transparent;
	cursor: pointer;
	width: 75%;
	height: 3vmin;
}
input[type="range"]::-webkit-slider-runnable-track {
	background: var(--light2);
	width: 1em;
	height: 1em;
	border: var(--main2) solid 0.25vmin;
	border-radius: 0.75vmin;
}
input[type="range"]::-moz-range-track {
	background: var(--light2);
	width: 100%;
	height: 1em;
	border: var(--main2) solid 0.25vmin;
	border-radius: 0.75vmin;
}
input[type="range"]::-webkit-slider-thumb {
	-webkit-appearance: none;
	appearance: none;
	margin-top: -0.75em;
	margin-left: -2.25em;
	background: url("../assets/img/fader.png");
	background-size: 5em 2em;
	background-color: var(--light1);
	background-origin: border-box;
	height: 2em;
	aspect-ratio: 2.5 / 1;
	border-radius: 0.5vmin;
	border: var(--main2) solid 0.4vmin;
}
input[type="range"]::-moz-range-thumb {
	margin-top: -0.75em;
	background: url("../assets/img/fader.png");
	background-size: 5em 2em;
	background-color: var(--light1);
	background-origin: border-box;
	height: 2em;
	aspect-ratio: 2.5 / 1;
	border-radius: 0.5vmin;
	border: var(--main2) solid 0.4vmin;
}
#attackslider::-webkit-slider-thumb {
	margin-left: 0 !important;
}
#ratioslider::-webkit-slider-thumb {
	margin-left: 0 !important;
}
input[type="range"]:focus {
	outline: none;
}
input[type="range"]:focus::-webkit-slider-thumb {
	border: var(--main1) solid 0.4vmin;
}
input[type="range"]:focus::-moz-range-thumb {
	border: var(--main1) solid 0.4vmin;
}
.mode:hover {
	background-color: var(--light1);
}
.misc:hover {
	background-color: var(--light1);
}
.green {
	animation: green 0.125s ease-in 0s 1 normal forwards;
	color: black !important;
	transition-duration: 250ms;
}
.green:hover {
	filter: brightness(0.90)
}
.green2 {
	animation: green2 1s ease-in 0s 1 normal forwards;
}
.red {
	animation: red 1s ease-in 0s 1 normal forwards;
}
#statisticsdisplay {
	width: 12.5%;
	height: 100%;
	text-align: center;
	font-size: 1.75vmin;
	opacity: 1;
	display: flex;
	justify-content: center;
	flex-direction: column;
	white-space: pre-wrap;
}
#settings {
	width: 12.5%;
	height: 100%;
	text-align: center;
	font-size: 2.5vmin;
	opacity: 1;
	display: flex;
	justify-content: center;
	flex-direction: column;
	white-space: pre-wrap;
}
#midcontainer {
	width: 100%;
	height: 75%;
	display: flex;
	flex-direction: row;
	justify-content: space-around;
	align-items: center;
	gap: 5%;
}
#trackcontainer {
	width: 47.5%;
	height: 100%;
	display: flex;
	flex-direction: column;
	gap: 5%;
}
#trackcontainer > div {
	width: 100%;
	height: 47%;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}
.text > ul {
	list-style-type: none;
	padding-left: 10%;
}
.audio {
	height: 20%;
	width: 100%;
	display: flex;
	flex-direction: row;
	justify-content: space-around;
}
.audio > button {
	height: 100%;
	width: 40%;
	font-size: 2vmin;
}
#compressor { 
	width: 47.5%;
	height: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}
#compbottom {
	width: 100%;
	height: 40%;
	display: grid;
	grid-template-columns: 0.995fr 0.05fr;
	grid-template-rows: 0.5fr 0.5fr;
	grid-template-areas: 
		"a c"
		"b c";
}
#gain {
	font-size: 1.5vmin;
	grid-area: c;
	justify-content: center;
	align-items: center;
}
#sixseven {
	margin-top: 20%;
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
}
#labels {
	height: 100%;
	width: 100%;
	display: flex;
	justify-content: space-between;
	flex-direction: column-reverse;
	position: relative;
	left: 150%;
	bottom: 0%;
}
#labels > span {
	font-size: 1.5vmin;
}
#gainreduction {
	width: 20%;
	height: 100%;
	border: 0.25vmin solid var(--main1);
	border-radius: 7.5vw;
	background-color: var(--light3);
	text-align: center;
	position: relative;
}
#gainpackage {
	height: 80%;
	width: 100%;
	display: flex;
	flex-direction: row-reverse;
	justify-content: space-around;
}
#gainreductionslider {
	width: 50%;
	height: 100%;
	writing-mode: vertical-lr;
	direction: rtl;
}
#gainreductionslider::-webkit-slider-thumb {
	rotate: -90deg;
}
#gainreductionslider::-moz-range-thumb {
	rotate: -90deg;
}
#gaincontainer {
	overflow: hidden;
}
#gainlevel {
	height: 0%;
	width: 100%;
	background-color: var(--main1);
	opacity: 0.25;
	position: relative;
	top: 70%;
}
#gainline {
	background-color: var(--main2);
	height: 1%;
	width: 100%;
	position: absolute;
	z-index: 10000;
}
#guessline {
	background-color: var(--main4);
	height: 1%;
	width: 100%;
	position: absolute;
	z-index: 10000;
	top: 93.333333%;
}
#theme {
	margin-right: 1%;
}
#theme:hover {
	background-color: var(--light1);
}
#topcontainer {
	display: flex;
	flex-direction: row;
	gap: 1.5%;
	align-items: center;
	justify-content: center;
	width: 50%;
}
#afterbuttons {
	display: none;
	flex-direction: row;
	gap: 3%;
}
#thingy {
	color: red;
	 text-shadow:
    -1px -1px 0 black,
    1px -1px 0 black,
    -1px 1px 0 black,
    1px 1px 0 black;
}
label {
	font-size: 2vmin;	
}
select {
	width: 100%;
	height: 1.5em;
}
@keyframes green {
	from {
	}
	to {
		background-color: var(--main3);
	}
}
@keyframes green2 {
	from {
	}
	50% {
		background-color: var(--main3);
	}
	to {
	}
}
@keyframes red {
	from {
	}
	50% {
		background-color: var(--main4);
	}
	to {
	}
}
@keyframes forward {
	from {
		background-position: 0 0;
	}
	to {
		background-position: -100% -100%;
	}
}